### Function

# Gimp Vectors import_from_file

since: 2.4

#### Declaration [src]

    gboolean
    gimp_vectors_import_from_file (
      GimpImage* image,
      GFile* file,
      gboolean merge,
      gboolean scale,
      gint* num_vectors,
      GimpVectors*** vectors
    )

#### Description [src]

Import paths from an SVG file.

This procedure imports paths from an SVG file. SVG elements other than paths and basic shapes are ignored.

Available since: 2.4

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  The SVG file to import.

  The data is owned by the caller of the function.

`merge`

  Type: `gboolean`

  Merge paths into a single vectors object.

`scale`

  Type: `gboolean`

  Scale the SVG to image dimensions.

`num_vectors`

  Type: `gint*`

  The number of newly created vectors.

  The argument will be set by the function.

`vectors`

  Type: An array of `None`

  The list of newly created vectors.

  The argument will be set by the function.
  The length of the array is specified in the `num_vectors` argument.
  The caller of the function takes ownership of the data container, but not the data inside it.

#### Return value

Type: `gboolean`

TRUE on success.